Loading...
Searching...
No Matches
GridFireContext Struct Reference

`#include <gridfire_context.h>`

Collaboration diagram for GridFireContext:
[legend]

## Public Member Functions

void | init_species_map (const std::vector< std::string > &species_names)
void | init_engine_from_policy (const std::string &policy_name, const double *abundances, size_t num_species)
void | init_solver_from_engine (const std::string &solver_name)
void | init_composition_from_abundance_vector (const double *abundances, size_t num_species)
int | evolve (const double *Y_in, size_t num_species, double T, double rho, double tMax, double dt0, double *Y_out, double &energy_out, double &dEps_dT, double &dEps_dRho, double &specific_neutrino_energy_loss, double &specific_neutrino_flux, double &mass_lost)

## Public Attributes

std::unique_ptr< gridfire::policy::NetworkPolicy > | policy
gridfire::engine::DynamicEngine * | engine
std::unique_ptr< gridfire::solver::DynamicNetworkSolverStrategy > | solver
std::vector< fourdst::atomic::Species > | speciesList
fourdst::composition::Composition | working_comp
std::string | last_error

## Member Function Documentation

## evolve()

int GridFireContext::evolve | ( | const double * | Y_in,
|  | size_t | num_species,
|  | double | T,
|  | double | rho,
|  | double | tMax,
|  | double | dt0,
|  | double * | Y_out,
|  | double & | energy_out,
|  | double & | dEps_dT,
|  | double & | dEps_dRho,
|  | double & | specific_neutrino_energy_loss,
|  | double & | specific_neutrino_flux,
|  | double & | mass_lost )

## init_composition_from_abundance_vector()

void GridFireContext::init_composition_from_abundance_vector | ( | const double * | abundances,
|  | size_t | num_species )

## init_engine_from_policy()

void GridFireContext::init_engine_from_policy | ( | const std::string & | policy_name,
|  | const double * | abundances,
|  | size_t | num_species )

## init_solver_from_engine()

void GridFireContext::init_solver_from_engine | ( | const std::string & | solver_name | ) |

## init_species_map()

void GridFireContext::init_species_map | ( | const std::vector< std::string > & | species_names | ) |

## Member Data Documentation

## engine

gridfire::engine::DynamicEngine* GridFireContext::engine

## last_error

std::string GridFireContext::last_error

## policy

std::unique_ptr<gridfire::policy::NetworkPolicy> GridFireContext::policy

## solver

std::unique_ptr<gridfire::solver::DynamicNetworkSolverStrategy> GridFireContext::solver

## speciesList

std::vector<fourdst::atomic::Species> GridFireContext::speciesList

## working_comp

fourdst::composition::Composition GridFireContext::working_comp

The documentation for this struct was generated from the following files:

- src/extern/include/gridfire/extern/gridfire_context.h
- src/extern/lib/gridfire_context.cpp